import { Route, Routes } from "@solidjs/router";
import { type Component } from "solid-js";
import { Certs } from "./certs";
import { NavRail } from "./components/NavRail";
import { OnlineClassroom } from "./OnlineClassroom";
import { Scans } from "./Scans";
import { Reports } from "./Reports";
import { genMachineryCarnet } from "./carnetGenerator/machinery";

const App: Component = () => (
    <div class="grid grid-cols-[5rem_auto]">
        <NavRail />
        <Routes>
            <Route path="/" component={() => <Builder />} />
            <Route path="/certs" component={Certs} />
            <Route path="/accesos" component={OnlineClassroom} />
            <Route path="/escaneo" component={Scans} />
            <Route path="/reportes" component={Reports} />
        </Routes>
    </div>
);


function Builder() {
    const svgRaw = genMachineryCarnet({
        fullname: "FERNANDO ENRIQUE ARAOZ MORALES",
        dni: "74059695",
        code: "0123",
        expiryMonth: "NOVIEMBRE",
        expiryYear: "2023",
        qrBase64: "",
        certName: "RETROEXCAVADORA",
        certCustomLabel: "246D3 CAT",
    });

    return (
        <div>
            <p>En construccion</p>
            <p>:D</p>
            <div innerHTML={svgRaw} />
        </div>
    );
}

export default App;
